<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<!-- Mobile Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>s09 Discussion Grid System</title>

	<!-- bootstrap CSS -->
	<link 	rel="stylesheet" 
			href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
			crossorigin="anonymous">
	
	<!-- style sheet css -->
	<link rel="stylesheet" href="./style.css">

</head>
<body class="text-center">

	<h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>


	<!-- CRC Container Row Column -->
	<div class="container-fluid">
		<div class="row">
			<!-- A div column can occupy more thaan 1 column. We may create layouts wherein once div occupies 9 columns and another one occupies 4 columns. But as you may see, it results to 12 columns for our row.


			If the divs in a row, occupy more than 12 columns, the row would overflow

			syntax to define the number of columns a div will occupy a row:

			col-breakpoint-numberofColumns (must not exceed 12 to avoid overflow) -->
			<div class="col-md-8 bg-primary border border-dark">
				<p>
					Lorem ipsum dolor sit amet consectetur adipisicing elit. Repudiandae laborum voluptas temporibus alias corporis dolores earum! Fugiat velit molestias soluta, perferendis perspiciatis, debitis, officiis accusantium tenetur ea dolor deserunt cum.
				</p>
			</div>
			<div class="col-md-8 bg-danger border border-dark">
				<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
			</div>
		</div>
		<h2 class="text-center">Rows with 2 equal columns</h2>
		<h3 class="text-center">1 :1 Ratio</h3>
		<div class="row mt-3">
			<div class="col-6 bg-primary py-3 border border-dark">
				<h2 class="text-center">6 Columns</h2>
				<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloribus, quas quis magni? Quisquam repellat, aut vel pariatur obcaecati modi aliquid itaque quasi eos molestias esse natus ipsa ex ratione architecto.</p>
			</div>
			<div class="col-6 bg-danger py-3 border border-dark">
				<p>6 Columns</p>
			</div>
		</div>
		<h3 class="text-center">1:2 Ratio</h3>
		<div class="row">
			<div class="col-4 bg success py-3 border border-dark">
				4 Columns
				
			</div>
			<div class="col-8 bg-info py-3 border border-dark">
				8 Columns
			</div>
		</div>



		<!-- create a row with columns in 1:3 ratio.
			 bg color : warning (bigger column) and danger (smaller)
			 add dark border per column
		 -->

		 <h3 class="text-center">1:3 Ratio</h3>
		<div class="row">
			<div class="col-3 bg-danger py-3 border border-dark">
				3 Columns
				
			</div>
			<div class="col-9 bg-warning py-3 border border-dark">
				9 Columns
			</div>
		</div>

		 <h3 class="text-center">1:2:1 Ratio</h3>
		<div class="row">
			<div class="col-3 bg-danger py-3 border border-dark">
				3 Columns
				
			</div>
			<div class="col-6 bg-warning py-3 border border-dark">
				6 Columns
			</div>
			<div class="col-3 bg-success py-3 border border-dark">
				3 Columns
			</div>
		</div>

		<h3 class="text-center">Auto Columns</h3>
			<div class="row">
				<div class="col bg-primary py-3 border border-dark">Auto1</div>
				<div class="col bg-success py-3 border border-dark">Auto2</div>
				<div class="col-8 bg-warning py-3 border border-dark">Auto3</div>
				<div class="col bg-danger py-3 border border-dark">Auto4</div>
				<div class="col bg-secondary py-3 border border-dark">Auto5</div>
			</div>


			<h2 class="text-center"> Responsive Columns</h2>
			<!-- Breakpoints -->

			<!-- img-fluid outside a row/col -->
		 <!-- img-fluid keeps our picture from overflowing out of its container. It also resizes your picture to fit the container -->
		 <h3 class="text-center">Responsive Images</h3>
		 <div class="row">
		 	<div class="col-2 bg-info py-3 border border-dark">
		 		<img class="img-fluid" 
		 		     src="https://images.theconversation.com/files/229974/original/file-20180731-136679-bnupzu.png?ixlib=rb-1.1.0&q=45&auto=format&w=926&fit=clip" 
		 		     alt="kitkat">
		 	</div>
		 	<div class="col-md-8 bg-success py-3 border border-dark">
		 		with img-fluid
		 		<img class="img-fluid" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="burger">
		 	</div>
		 </div>
		 <!-- img-fluid outside a row/col -->
		 <!-- <div class="bg-warning border border-dark">
		 	<img class="img-fluid image3" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="burger">
		 </div> -->


		 
		<!-- offset -->
		<h3 class="text-center">Offsetting Columns</h3>
		<div class="row">
			<div class="col-1 bg-secondary border border-dark">1</div>
			<div class="col-1 bg-secondary border border-dark">2</div>
			<div class="col-1 bg-secondary border border-dark">3</div>
			<div class="col-1 bg-secondary border border-dark">4</div>
			<div class="col-1 bg-secondary border border-dark">5</div>
			<div class="col-1 bg-secondary border border-dark">6</div>
			<div class="col-1 bg-secondary border border-dark">7</div>
			<div class="col-1 bg-secondary border border-dark">8</div>
			<div class="col-1 bg-secondary border border-dark">9</div>
			<div class="col-1 bg-secondary border border-dark">10</div>
			<div class="col-1 bg-secondary border border-dark">11</div>
			<div class="col-1 bg-secondary border border-dark">12</div>
		</div>
		<div class="row">
			<!-- offsetting also calculates the columns occupied by the divs. if we exceed 12 columns by offsetting, the other div will be overflowed to the next line. -->
			<div class="col-4 bg-info py-3 border border-dark">Div 1</div>
			<div class="col-2 offset-3 bg-success py-3 border border-dark">Div 2</div>
			<div class="col-1 offset-3 bg-danger py-3 border border-dark">Div 3</div>

	</div>

	





	
	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	
</body>
</html>